# Poco::XML

# class EventListener

Library: XML
Package: DOM
Header: Poco/DOM/EventListener.h

## Description

The EventListener interface is the primary method for handling events. Users implement the EventListener interface and register their listener on an EventTarget using the AddEventListener method. The users should also remove their EventListener from its EventTarget after they have completed using the listener.

When a Node is copied using the cloneNode method the EventListeners attached to the source Node are not attached to the copied Node. If the user wishes the same EventListeners to be added to the newly created copy the user must add them manually.

## Member Summary

Member Functions: handleEvent

## Destructor

### ~EventListener

virtual ~EventListener();

## Member Functions

### handleEvent

virtual void handleEvent(
Event * evt
) = 0;

This method is called whenever an event occurs of the type for which the EventListener interface was registered.